## ICalPeriodType ICalPeriodType |

## Functions

ICalTimetype * | i_cal_period_type_get_start ()
void | i_cal_period_type_set_start ()
ICalTimetype * | i_cal_period_type_get_end ()
void | i_cal_period_type_set_end ()
ICalDurationType * | i_cal_period_type_get_duration ()
void | i_cal_period_type_set_duration ()
ICalPeriodType * | i_cal_period_type_from_string ()
gchar * | i_cal_period_type_as_ical_string_r ()
ICalPeriodType * | i_cal_period_type_null_period ()
gint | i_cal_period_type_is_null_period ()
gint | i_cal_period_type_is_valid_period ()

## Types and Values

#define | I_CAL_PERIOD_TYPE_TYPE
| ICalPeriodType
struct | ICalPeriodTypeClass

## Description

## Functions

### i_cal_period_type_get_start ()

    ICalTimetype *
    i_cal_period_type_get_start (ICalPeriodType *period);

Get the start time from an ICalPeriodType.

#### Parameters

period | The ICalPeriodType to be queried. |

#### Returns

The start of `period` .

[transfer full]

Since: 1.0

### i_cal_period_type_set_start ()

    void
    i_cal_period_type_set_start (ICalPeriodType *period,
                                 ICalTimetype *start);

Set the start time of an ICalPeriodType.

#### Parameters

period | The ICalPeriodType to be set. |
start | The start of `period` . |

Since: 1.0

### i_cal_period_type_get_end ()

    ICalTimetype *
    i_cal_period_type_get_end (ICalPeriodType *period);

Get the end time from an ICalPeriodType.

#### Parameters

period | The ICalPeriodType to be queried. |

#### Returns

The end of `period` .

[transfer full]

Since: 1.0

### i_cal_period_type_set_end ()

    void
    i_cal_period_type_set_end (ICalPeriodType *period,
                               ICalTimetype *end);

Set the end time of an ICalPeriodType.

#### Parameters

period | The ICalPeriodType to be set. |
end | The end of `period` . |

Since: 1.0

### i_cal_period_type_get_duration ()

    ICalDurationType *
    i_cal_period_type_get_duration (ICalPeriodType *period);

Get the duration from an ICalPeriodType.

#### Parameters

period | The ICalPeriodType to be queried. |

#### Returns

The duration of `period` .

[transfer full]

Since: 1.0

### i_cal_period_type_set_duration ()

    void
    i_cal_period_type_set_duration (ICalPeriodType *period,
                                    ICalDurationType *duration);

Set the duration of an ICalPeriodType.

#### Parameters

period | The ICalPeriodType to be set. |
duration | The duration of `period` . |

Since: 1.0

### i_cal_period_type_from_string ()

    ICalPeriodType *
    i_cal_period_type_from_string (const gchar *str);

Create a ICalPeriodType from a string.

#### Parameters

str | The string used to create the ICalPeriodType |

#### Returns

The newly created ICalPeriodType.

[transfer full]

Since: 1.0

### i_cal_period_type_as_ical_string_r ()

    gchar *
    i_cal_period_type_as_ical_string_r (ICalPeriodType *p);

Translate ICalPeriodType to string.

#### Parameters

p | The ICalPeriodType to be translated. |

#### Returns

The string representation of ICalPeriodType.

[transfer full]

Since: 1.0

### i_cal_period_type_null_period ()

    ICalPeriodType *
    i_cal_period_type_null_period (void);

Create a default ICalPeriodType.

#### Returns

The newly created default ICalPeriodType.

[transfer full]

Since: 1.0

### i_cal_period_type_is_null_period ()

    gint
    i_cal_period_type_is_null_period (ICalPeriodType *p);

Check the ICalPeriodType is null_period.

#### Parameters

p | The ICalPeriodType to be checked. |

#### Returns

1 if yes, 0 if not.

Since: 1.0

### i_cal_period_type_is_valid_period ()

    gint
    i_cal_period_type_is_valid_period (ICalPeriodType *p);

Check the ICalPeriodType is valid_period.

#### Parameters

p | The ICalPeriodType to be checked. |

#### Returns

1 if yes, 0 if not.

Since: 1.0

## Types and Values

### I_CAL_PERIOD_TYPE_TYPE

    #define             I_CAL_PERIOD_TYPE_TYPE

### ICalPeriodType

    typedef struct {
    } ICalPeriodType;

This is the ICalPeriodType instance.

### struct ICalPeriodTypeClass

    struct ICalPeriodTypeClass {
    };

This is the ICalPeriodType class.